Commit 1f350910 authored by Henry's avatar Henry
Browse files

Added some explanation

parent be627428
...@@ -4,7 +4,7 @@ ...@@ -4,7 +4,7 @@
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en"> <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head> <head>
<title>OpenFOAM-dev Third-Party packages</title> <title>OpenFOAM-dev Third-Party packages</title>
<!-- 2014-12-31 Wed 18:17 --> <!-- 2014-12-31 Wed 18:28 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" /> <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="generator" content="Org-mode" /> <meta name="generator" content="Org-mode" />
<style type="text/css"> <style type="text/css">
...@@ -142,7 +142,7 @@ for the JavaScript code in this tag. ...@@ -142,7 +142,7 @@ for the JavaScript code in this tag.
<div id="text-table-of-contents"> <div id="text-table-of-contents">
<ul> <ul>
<li><a href="#sec-1">1. Description</a></li> <li><a href="#sec-1">1. Description</a></li>
<li><a href="#sec-2">2. The approximate order of execution:</a> <li><a href="#sec-2">2. Order of execution:</a>
<ul> <ul>
<li><a href="#sec-2-1">2.1. Optional</a></li> <li><a href="#sec-2-1">2.1. Optional</a></li>
</ul> </ul>
...@@ -173,12 +173,12 @@ Scripts for building third-party packages. ...@@ -173,12 +173,12 @@ Scripts for building third-party packages.
</div> </div>
<div id="outline-container-sec-2" class="outline-2"> <div id="outline-container-sec-2" class="outline-2">
<h2 id="sec-2"><span class="section-number-2">2</span> The approximate order of execution:</h2> <h2 id="sec-2"><span class="section-number-2">2</span> Order of execution:</h2>
<div class="outline-text-2" id="text-2"> <div class="outline-text-2" id="text-2">
<ul class="org-ul"> <ul class="org-ul">
<li>makeGcc <li>makeGcc (recommended if the system gcc is &lt; 4.7)
</li> </li>
<li>Allwmake <li>Allwmake (Builds OpenMPI, Scotch etc.)
</li> </li>
<li>makeCmake (if the system cmake version is &lt; 2.8.8) <li>makeCmake (if the system cmake version is &lt; 2.8.8)
</li> </li>
...@@ -190,9 +190,9 @@ Scripts for building third-party packages. ...@@ -190,9 +190,9 @@ Scripts for building third-party packages.
<h3 id="sec-2-1"><span class="section-number-3">2.1</span> Optional</h3> <h3 id="sec-2-1"><span class="section-number-3">2.1</span> Optional</h3>
<div class="outline-text-3" id="text-2-1"> <div class="outline-text-3" id="text-2-1">
<ul class="org-ul"> <ul class="org-ul">
<li>AllwmakeLibccmio <li>AllwmakeLibccmio (Only required for conversion of STAR-CCM+ meshes)
</li> </li>
<li>Allclean <li>Allclean (Only required to save disk space)
</li> </li>
</ul> </ul>
</div> </div>
...@@ -276,7 +276,7 @@ building on Ubuntu-14.10. ...@@ -276,7 +276,7 @@ building on Ubuntu-14.10.
</div> </div>
<div id="postamble" class="status"> <div id="postamble" class="status">
<p class="date">Date: 31st December 2014</p> <p class="date">Date: 31st December 2014</p>
<p class="date">Created: 2014-12-31 Wed 18:17</p> <p class="date">Created: 2014-12-31 Wed 18:28</p>
<p class="creator"><a href="http://www.gnu.org/software/emacs/">Emacs</a> 25.0.50 (<a href="http://orgmode.org">Org</a> mode 8.2.10)</p> <p class="creator"><a href="http://www.gnu.org/software/emacs/">Emacs</a> 25.0.50 (<a href="http://orgmode.org">Org</a> mode 8.2.10)</p>
<p class="validation"><a href="http://validator.w3.org/check?uri=referer">Validate</a></p> <p class="validation"><a href="http://validator.w3.org/check?uri=referer">Validate</a></p>
</div> </div>
......
...@@ -10,14 +10,14 @@ ...@@ -10,14 +10,14 @@
* Description * Description
Scripts for building third-party packages. Scripts for building third-party packages.
* The approximate order of execution: * Order of execution:
+ makeGcc + makeGcc (recommended if the system gcc is < 4.7)
+ Allwmake + Allwmake (Builds OpenMPI, Scotch etc.)
+ makeCmake (if the system cmake version is < 2.8.8) + makeCmake (if the system cmake version is < 2.8.8)
+ makeParaView4 + makeParaView4
*** Optional *** Optional
+ AllwmakeLibccmio + AllwmakeLibccmio (Only required for conversion of STAR-CCM+ meshes)
+ Allclean + Allclean (Only required to save disk space)
* Versions and locations for the third party packages used * Versions and locations for the third party packages used
*** Compiler *** Compiler
The minimum version of gcc required is 4.5.0 The minimum version of gcc required is 4.5.0
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment